'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n    justify-content: flex-start;\n  '], ['\n    justify-content: flex-start;\n  ']),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)(['\n    justify-content: center;\n  '], ['\n    justify-content: center;\n  ']),
    _templateObject3 = (0, _taggedTemplateLiteral3.default)(['\n    justify-content: flex-end;\n  '], ['\n    justify-content: flex-end;\n  ']),
    _templateObject4 = (0, _taggedTemplateLiteral3.default)(['\n  display: flex;\n  flex-direction: row;\n  & > * {\n    margin-right: ', 'px;\n  }\n  & > :last-child {\n    margin-right: 0;\n  }\n  ', '\n'], ['\n  display: flex;\n  flex-direction: row;\n  & > * {\n    margin-right: ', 'px;\n  }\n  & > :last-child {\n    margin-right: 0;\n  }\n  ', '\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _reset = require('../reset');

var reset = _interopRequireWildcard(_reset);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var alignMap = {
  left: (0, _styledComponents.css)(_templateObject),
  center: (0, _styledComponents.css)(_templateObject2),
  right: (0, _styledComponents.css)(_templateObject3)
};
var ActionsComponent = reset.div(_templateObject4, function (p) {
  return p.theme.layout.actions.spacing;
}, function (p) {
  return alignMap[p.align];
});
var Actions = function Actions(props) {
  return _react2.default.createElement(ActionsComponent, props);
};

Actions.propTypes = process.env.NODE_ENV !== "production" ? {
  align: _propTypes2.default.oneOf(['left', 'center', 'right'])
} : {};
Actions.defaultProps = {
  align: 'left'
};

exports.default = Actions;