'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  svg {\n    width: ', 'px;\n    height: ', 'px;\n  }\n'], ['\n  svg {\n    width: ', 'px;\n    height: ', 'px;\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Base = require('./Base');

var _Base2 = _interopRequireDefault(_Base);

var _logo = require('../../Static/logo.svg');

var _logo2 = _interopRequireDefault(_logo);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FullLogoComponent = (0, _styledComponents2.default)(_Base2.default)(_templateObject, function (p) {
  return p.theme.logo.full.width;
}, function (p) {
  return p.theme.logo.full.height;
});
var FullLogo = function FullLogo(props) {
  return _react2.default.createElement(FullLogoComponent, (0, _extends3.default)({ src: _logo2.default }, props));
};

FullLogo.propTypes = process.env.NODE_ENV !== "production" ? {} : {};
FullLogo.defaultProps = {};

exports.default = FullLogo;