'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.shallowWithTheme = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _Tokens = require('../Tokens');

var _Tokens2 = _interopRequireDefault(_Tokens);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var shallowWithTheme = exports.shallowWithTheme = function shallowWithTheme(Component) {
  return (0, _enzyme.shallow)(_react2.default.cloneElement(Component, { theme: _Tokens2.default }));
};

exports.default = shallowWithTheme;