import React from 'react';
import PropTypes from 'prop-types';
import * as reset from '../reset';
import { noWrap } from '../utils';

export const TableHeadComponent = reset.thead`
  font-weight: bold;
`;

const TableHead = props => React.createElement(TableHeadComponent, props);

TableHead.propTypes = process.env.NODE_ENV !== "production" ? {} : {};

TableHead.defaultProps = {};

export default TableHead;